diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index a57f70ebc..ec491096e 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -2977,7 +2977,7 @@ define([
 
         data.cId = data.cId || _.uniqueId('pgC_');
 
-        if (!data.disabled) {
+        if (!data.disabled && data.mode != 'properties') {
           data.placeholder = data.placeholder || this.defaults.placeholder;
         }
 
diff --git a/web/pgadmin/static/js/backgrid.pgadmin.js b/web/pgadmin/static/js/backgrid.pgadmin.js
index b05e1422f..cb45c2d6e 100644
--- a/web/pgadmin/static/js/backgrid.pgadmin.js
+++ b/web/pgadmin/static/js/backgrid.pgadmin.js
@@ -1804,15 +1804,11 @@ define([
       this.$el.datetimepicker('destroy');
       this.is_closing = false;
 
-      if (_.isUndefined(newValue)) {
-        model.trigger('backgrid:error', model, column, val);
-      } else {
-        model.set(column.get('name'), newValue);
-        let command = new Backgrid.Command(ev);
-        setTimeout(() => {
-          model.trigger('backgrid:edited', model, column, command);
-        }, 20);
-      }
+      model.set(column.get('name'), newValue);
+      let command = new Backgrid.Command(ev);
+      setTimeout(() => {
+        model.trigger('backgrid:edited', model, column, command);
+      }, 20);
     },
   });
 
